'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var select_vue_vue_type_script_lang = require('./select.vue_vue_type_script_lang.js');
var vue = require('vue');
var _pluginVue_exportHelper = require('../../../_virtual/_plugin-vue_export-helper.js');

const _hoisted_1 = { key: 1 };
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_option = vue.resolveComponent("el-option");
  const _component_el_option_group = vue.resolveComponent("el-option-group");
  const _component_el_select = vue.resolveComponent("el-select");
  return !_ctx.onlyDisplay ? (vue.openBlock(), vue.createBlock(_component_el_select, vue.mergeProps({
    key: 0,
    "model-value": _ctx.modelValue,
    "onUpdate:modelValue": _ctx.emitValue,
    onChange: _ctx.emitLabel,
    style: { width: _ctx.selectWidth }
  }, { clearable: true, valueKey: _ctx.optionKey, ..._ctx.$attrs }), {
    default: vue.withCtx(() => [
      _ctx.needGroup ? (vue.openBlock(true), vue.createElementBlock(
        vue.Fragment,
        { key: 0 },
        vue.renderList(_ctx.selectOptions, (groupOptions, index) => {
          return vue.openBlock(), vue.createBlock(_component_el_option_group, {
            key: index,
            label: _ctx.hasValue(groupOptions),
            value: groupOptions[_ctx.optionValue] == null ? groupOptions : groupOptions[_ctx.optionValue]
          }, {
            default: vue.withCtx(() => [
              (vue.openBlock(true), vue.createElementBlock(
                vue.Fragment,
                null,
                vue.renderList(groupOptions.children, (item) => {
                  return vue.openBlock(), vue.createBlock(_component_el_option, {
                    key: item[_ctx.optionKey || _ctx.optionValue],
                    label: _ctx.hasValue(item),
                    value: item[_ctx.optionValue] == null ? item : item[_ctx.optionValue],
                    disabled: _ctx.itemDisabled && _ctx.itemDisabled(item)
                  }, {
                    default: vue.withCtx(() => [
                      vue.renderSlot(_ctx.$slots, "default", vue.normalizeProps(vue.guardReactiveProps({ ...item })))
                    ]),
                    _: 2
                    /* DYNAMIC */
                  }, 1032, ["label", "value", "disabled"]);
                }),
                128
                /* KEYED_FRAGMENT */
              ))
            ]),
            _: 2
            /* DYNAMIC */
          }, 1032, ["label", "value"]);
        }),
        128
        /* KEYED_FRAGMENT */
      )) : (vue.openBlock(true), vue.createElementBlock(
        vue.Fragment,
        { key: 1 },
        vue.renderList(_ctx.selectOptions, (item) => {
          return vue.openBlock(), vue.createBlock(_component_el_option, {
            key: item[_ctx.optionKey || _ctx.optionValue],
            label: _ctx.hasValue(item),
            value: item[_ctx.optionValue] == null ? item : item[_ctx.optionValue],
            disabled: _ctx.itemDisabled && _ctx.itemDisabled(item)
          }, {
            default: vue.withCtx(() => [
              vue.renderSlot(_ctx.$slots, "default", vue.normalizeProps(vue.guardReactiveProps({ ...item })))
            ]),
            _: 2
            /* DYNAMIC */
          }, 1032, ["label", "value", "disabled"]);
        }),
        128
        /* KEYED_FRAGMENT */
      ))
    ]),
    _: 3
    /* FORWARDED */
  }, 16, ["model-value", "onUpdate:modelValue", "onChange", "style"])) : (vue.openBlock(), vue.createElementBlock(
    "span",
    _hoisted_1,
    vue.toDisplayString(_ctx.displayText),
    1
    /* TEXT */
  ));
}
var Select = /* @__PURE__ */ _pluginVue_exportHelper["default"](select_vue_vue_type_script_lang["default"], [["render", _sfc_render], ["__file", "/home/runner/work/basic-comp/basic-comp/packages/components/select/src/select.vue"]]);

exports["default"] = Select;
//# sourceMappingURL=select.js.map
