import _sfc_main from './select.vue_vue_type_script_lang.mjs';
import { resolveComponent, openBlock, createBlock, mergeProps, withCtx, createElementBlock, Fragment, renderList, renderSlot, normalizeProps, guardReactiveProps, toDisplayString } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.mjs';

const _hoisted_1 = { key: 1 };
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_option = resolveComponent("el-option");
  const _component_el_option_group = resolveComponent("el-option-group");
  const _component_el_select = resolveComponent("el-select");
  return !_ctx.onlyDisplay ? (openBlock(), createBlock(_component_el_select, mergeProps({
    key: 0,
    "model-value": _ctx.modelValue,
    "onUpdate:modelValue": _ctx.emitValue,
    onChange: _ctx.emitLabel,
    style: { width: _ctx.selectWidth }
  }, { clearable: true, valueKey: _ctx.optionKey, ..._ctx.$attrs }), {
    default: withCtx(() => [
      _ctx.needGroup ? (openBlock(true), createElementBlock(
        Fragment,
        { key: 0 },
        renderList(_ctx.selectOptions, (groupOptions, index) => {
          return openBlock(), createBlock(_component_el_option_group, {
            key: index,
            label: _ctx.hasValue(groupOptions),
            value: groupOptions[_ctx.optionValue] == null ? groupOptions : groupOptions[_ctx.optionValue]
          }, {
            default: withCtx(() => [
              (openBlock(true), createElementBlock(
                Fragment,
                null,
                renderList(groupOptions.children, (item) => {
                  return openBlock(), createBlock(_component_el_option, {
                    key: item[_ctx.optionKey || _ctx.optionValue],
                    label: _ctx.hasValue(item),
                    value: item[_ctx.optionValue] == null ? item : item[_ctx.optionValue],
                    disabled: _ctx.itemDisabled && _ctx.itemDisabled(item)
                  }, {
                    default: withCtx(() => [
                      renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({ ...item })))
                    ]),
                    _: 2
                    /* DYNAMIC */
                  }, 1032, ["label", "value", "disabled"]);
                }),
                128
                /* KEYED_FRAGMENT */
              ))
            ]),
            _: 2
            /* DYNAMIC */
          }, 1032, ["label", "value"]);
        }),
        128
        /* KEYED_FRAGMENT */
      )) : (openBlock(true), createElementBlock(
        Fragment,
        { key: 1 },
        renderList(_ctx.selectOptions, (item) => {
          return openBlock(), createBlock(_component_el_option, {
            key: item[_ctx.optionKey || _ctx.optionValue],
            label: _ctx.hasValue(item),
            value: item[_ctx.optionValue] == null ? item : item[_ctx.optionValue],
            disabled: _ctx.itemDisabled && _ctx.itemDisabled(item)
          }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({ ...item })))
            ]),
            _: 2
            /* DYNAMIC */
          }, 1032, ["label", "value", "disabled"]);
        }),
        128
        /* KEYED_FRAGMENT */
      ))
    ]),
    _: 3
    /* FORWARDED */
  }, 16, ["model-value", "onUpdate:modelValue", "onChange", "style"])) : (openBlock(), createElementBlock(
    "span",
    _hoisted_1,
    toDisplayString(_ctx.displayText),
    1
    /* TEXT */
  ));
}
var Select = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "/home/runner/work/basic-comp/basic-comp/packages/components/select/src/select.vue"]]);

export { Select as default };
//# sourceMappingURL=select.mjs.map
